a2billing-v1.9.3-0 ok

Joined
Sep 24, 2008
Messages
134
Points
0
Donde puedo cambiar los del use_dnid entre otras cosas? porque en el a2billing.conf no aparece como aparecían en las anteriores versiones.

Igualmente no encuentro donde cambiar la longitud de la tarjeta q por defecto viene de 10-14, la quiero cambiar de 4-14.
+
Gracias
 
Joined
Jan 10, 2010
Messages
99
Points
0
I have tried to get callback working in elastix 2.4.0 and keep getting this error...

Traceback (most recent call last):
File "/usr/bin/a2b_callback_daemon", line 7, in ?
sys.exit(
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 236, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 2097, in load_entry_point
return ep.load()
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 1830, in load
entry = __import__(self.module_name, globals(),globals(), ['__name__'])
File "build/bdist.linux-i686/egg/callback_daemon/a2b_callback_daemon.py", line 23, in ?
File "build/bdist.linux-i686/egg/callback_daemon/database.py", line 28, in ?
ImportError: cannot import name sessionmaker
Starting a2b-callback-daemon: [FAILED]

Any help on this issue would be awesome.....
 
Joined
Dec 11, 2012
Messages
84
Points
0
For those who need to install callback daemon on Elastix you do not need to uninstall your inbuilt a2billing. All you need to do is upgrade your sqlalchemy. The full installation procedure is located here http://asteriskonvps.com/?p=30
 
Joined
May 25, 2010
Messages
121
Points
16
Netspeak said:
For those who need to install callback daemon on Elastix you do not need to uninstall your inbuilt a2billing. All you need to do is upgrade your sqlalchemy. The full installation procedure is located here http://asteriskonvps.com/?p=30
i have the same error:

# service a2b-callback-daemon start
a2b_callback_daemon is stopped
Traceback (most recent call last):
File "/usr/bin/a2b_callback_daemon", line 7, in ?
sys.exit(
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 236, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 2097, in load_entry_point
return ep.load()
File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 1830, in load
entry = __import__(self.module_name, globals(),globals(), ['__name__'])
File "build/bdist.linux-i686/egg/callback_daemon/a2b_callback_daemon.py", line 23, in ?
File "build/bdist.linux-i686/egg/callback_daemon/database.py", line 28, in ?
ImportError: cannot import name sessionmaker
Starting a2b-callback-daemon: [FAILED]
 
Joined
Dec 11, 2012
Messages
84
Points
0
like i indicated its because your SQlalchemy is less than 0.6 remove the old version and replace it with a new version as indicated on the above post. To achive that you need to do the following. When removing the package make sure you replace the highlited x with the actual version which is installed.

# rm -rf /usr/lib/python2.4/site-packages/SQLAlchemy-0.3.x-py2.4.egg (replace 0.3.x-py2.4.egg with the actual version)

# /usr/lib/python2.4/site-packages/

# wget http://pypi.python.org/packages/2.4/P/P ... -py2.4.egg

Unzip the package

# unzip Products.SQLAlchemyDA-0.4.1-py2.4.egg

# cd sqlalchemy

# easy_install sqlalchemy
 
Joined
Jan 10, 2010
Messages
99
Points
0
Awesome fix, unfortunatly I found I don't need it...the free pbx callback is what I needed all along...
 
Joined
Aug 12, 2009
Messages
23
Points
0
What Elastix version did you use here ? 1.6 ?
Because i need a stable a2b with working callback deamon.
 
Joined
Dec 11, 2012
Messages
84
Points
0
It should work on any version. However the fix was tested on 2.3 and 2.4. I have since updated the tutorial for those facing problems. Just visit www.asteriskonvps.com and search for the tutorial. Same link as above links
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,993
Messages
131,109
Members
17,716
Latest member
Orbit114
Top